%define base_name easymock

Name:           %{base_name}2
Version:        2.0
Release:        3
Epoch:          0
Summary:        Easy mock objects

Group:          Development/Java
License:        MIT
URL:            http://www.easymock.org/
Source0:        easymock-2.0-src.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/easymock login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/easymock export -r EasyMock2_0 easymock

Patch0:		easymock-2.0-build_xml.patch


BuildArch:      noarch
BuildRequires:  java-rpmbuild 
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:	ant-junit >= 0:1.6
BuildRequires:	junit >= 0:3.8.1
BuildRequires:  java-devel >= 0:1.5.0
Requires:  java >= 0:1.5.0

%description
EasyMock provides Mock Objects for interfaces in JUnit tests by generating 
them on the fly using Java's proxy mechanism. Due to EasyMock's unique style 
of recording expectations, most refactorings will not affect the Mock Objects. 
So EasyMock is a perfect fit for Test-Driven Development.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{base_name}
mkdir lib
pushd lib
ln -sf $(build-classpath junit) .
popd
echo "java\ 1.5=%{_jvmdir}/java-rpmbuild/bin/java" >> easymockbuild.properties
echo "java\ compiler=%{_jvmdir}/java-rpmbuild/bin/javac" >> easymockbuild.properties

%patch0 -b .sav

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=
%{ant} -Dbuild.sysclasspath=first

%install
unzip %{base_name}%{version}.zip
install -dm 755 %{buildroot}%{_javadir}

install -pm 644 %{base_name}%{version}/%{base_name}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr %{base_name}%{version}/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%files
%{_javadir}/*.jar
%doc %{base_name}%{version}/{Documentation,License}.html

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog

* Fri Jul 03 2015 Denis Silakov <denis.silakov@rosalab.ru> 0:2.0-3
- (4fdfbaf) Rebuild with Java8


